#!/usr/bin/env python
# Setup script for plist

from distutils.core import setup

import re

plist_main = open('plist/__init__.py').read()
metadata = dict(re.findall("__([a-z]+)__ = '([^']+)'", plist_main))
docstrings = re.findall('"""(.*)"""', plist_main, re.DOTALL)

# How is the package going to be called?
PACKAGE = 'plist'

# List the modules that need to be installed/packaged
PACKAGES = (
        'plist',
)

# Metadata fields extracted from jabberbot.py
AUTHOR_EMAIL = metadata['author']
VERSION = metadata['version']
WEBSITE = metadata['website']
LICENSE = metadata['license']
DESCRIPTION = docstrings[0]

# Extract name and e-mail ("Firstname Lastname <mail@example.org>")
AUTHOR, EMAIL = re.match(r'(.*) <(.*)>', AUTHOR_EMAIL).groups()

setup(name=PACKAGE,
      version=VERSION,
      description=DESCRIPTION,
      author=AUTHOR,
      author_email=EMAIL,
      license=LICENSE,
      url=WEBSITE,
      packages=PACKAGES,
      download_url=WEBSITE+PACKAGE+'-'+VERSION+'.tar.gz')

